#version 400

in vec3 Vertex;

uniform float Scale;
uniform vec3 Position;

uniform mat4 ModelViewProjectionMatrix;

out vec3 VNormal;

void main()
{
	vec3 vertex = (Vertex * Scale) + Position;
	
	VNormal = normalize(vec3(Vertex.x, Vertex.y, -Vertex.z)); // ??? :-/
	
	gl_Position = ModelViewProjectionMatrix * vec4(vertex, 1.0);
}
