#version 400

in vec2 Vertex;
in vec2 TexCoords;

uniform vec2 WindowSize;
uniform mat4 ModelViewProjectionMatrix;

void main()
{
	gl_Position = ModelViewProjectionMatrix * vec4(Vertex * WindowSize, 0.0, 1.0);
}
