#version 400

in vec3 Vertex;
in vec3 Normal;

uniform mat4 ModelMatrix;
uniform mat4 ModelViewProjectionMatrix;

out vec3 VNormal;

void main()
{
	VNormal = normalize((ModelMatrix * vec4(Normal, 0.0)).xyz);
	
	gl_Position = ModelViewProjectionMatrix * vec4(Vertex, 1.0);
}
