#version 400

uniform vec4 Color = vec4(1.f);

uniform sampler2D Texture;

in vec2 VTexCoords;

layout(location = 0) out vec4 result;

void main()
{
	vec2 lumAlpha = texture(Texture, VTexCoords).rg;
	result = vec4(Color.rgb * lumAlpha.x, Color.a * lumAlpha.y);
}
