#version 400

in vec3 Vertex;
in vec3 Position;
in float Radius;

uniform mat4 ModelViewProjectionMatrix;

out vec3 VNormal;

void main()
{
	VNormal = normalize(Vertex);
	
	gl_Position = ModelViewProjectionMatrix * vec4(Position + Radius * Vertex, 1.0);
}
