#version 400

in vec3 Vertex;

uniform vec3 Extents;
uniform mat4 ModelViewProjectionMatrix;

out vec3 VNormal;

void main()
{
	vec3 vertex = Vertex * Extents;
	
	gl_Position = ModelViewProjectionMatrix * vec4(vertex, 1.0);
}
