#version 400

in vec3 Vertex;

uniform float Radius = 1.0;

uniform mat4 ModelMatrix;
uniform mat4 ModelViewProjectionMatrix;

out vec3 VNormal;

void main()
{
	VNormal = normalize((ModelMatrix * vec4(normalize(Vertex), 0.0)).xyz);
	
	gl_Position = ModelViewProjectionMatrix * vec4(Radius * Vertex, 1.0);
}
